Bug 240327 - aclocal-1.10 generates broken aclocal.m4 file for intltool
Summary: aclocal-1.10 generates broken aclocal.m4 file for intltool
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: pilot-link   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ivana Varekova
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-05-16 15:25 UTC by Bastien Nocera
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-06 11:59:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
aclocal-1.10-output.txt (34.38 KB, text/plain)
2007-06-04 18:04 UTC, Bastien Nocera
no flags Details

Description Bastien Nocera 2007-05-16 15:25:38 UTC
automake-1.10-5

In the Totem source tree (any application using intltool, or with the line
"IT_PROG_INTLTOOL([0.35.0])" in the configure.in):

$ aclocal-1.10
$ grep -i intltool aclocal.m4 
AC_DEFUN([IT_PROG_INTLTOOL], [AC_PREREQ([2.50])])dnl

$ aclocal-1.7
$ grep -i intltool aclocal.m4 | wc -l
81

It seems that the intltool.m4 file might be causing problems with automake 1.10.

Comment 1 Bastien Nocera 2007-06-04 18:04:15 UTC
Created attachment 156102 [details]
aclocal-1.10-output.txt

--verbose output.

Comment 2 Bastien Nocera 2007-06-04 18:06:07 UTC
The IT_PROG_INTLTOOL comes from pilot-link.m4:
AC_DEFUN([IT_PROG_INTLTOOL], [AC_PREREQ([2.50])])dnl

This line should be removed straight away.

Comment 3 Ivana Varekova 2007-06-06 11:59:29 UTC
Thanks. 
Fixed in pilot-link-0.12.2-3.fc8.


Note You need to log in before you can comment on or make changes to this bug.